org.richfaces.application.push.impl

## Class TopicsContextImpl

- java.lang.Object
- - org.richfaces.application.push.TopicsContext
  - - org.richfaces.application.push.impl.TopicsContextImpl

- Direct Known Subclasses:
    JMSTopicsContextImpl

      public class TopicsContextImpl
      extends TopicsContext

  `TopicsContext` that uses `ExecutorService` with cached thread pool for publishing messages.
  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopicsContextImpl(ThreadFactory threadFactory)` Use given `ThreadFactory` for creating new cached thread pool executor for publishing

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Topic` | `createTopic(TopicKey key)` Creates topic for given topic key
    `void` | `destroy()`
    `protected ExecutorService` | `getPublisherService()` Returns a publisher `ExecutorService` that is used for publishing messages
    `protected ThreadFactory` | `getThreadFactory()` Returns associated `ThreadFactory` used to create executors.

    - ### Methods inherited from class org.richfaces.application.push.TopicsContext

      `getOrCreateTopic, getTopic, getTopicKeyWithResolvedExpressions, lookup, publish, removeTopic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicsContextImpl

          public TopicsContextImpl(ThreadFactory threadFactory)

      Use given `ThreadFactory` for creating new cached thread pool executor for publishing

  - ### Method Detail

    - #### createTopic

          protected Topic createTopic(TopicKey key)

      Description copied from class: `TopicsContext`
      Creates topic for given topic key
      Specified by:
        `createTopic` in class `TopicsContext`

    - #### getPublisherService

          protected ExecutorService getPublisherService()

      Returns a publisher `ExecutorService` that is used for publishing messages

    - #### getThreadFactory

          protected ThreadFactory getThreadFactory()

      Returns associated `ThreadFactory` used to create executors.

    - #### destroy

          public void destroy()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.